<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * DetallesBachiEu
 *
 * @ORM\Table(name="detalles_bachi_eu", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class DetallesBachiEu
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_det_bachi_eu", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideDetBachiEu;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fecha_termino_sec", type="date", nullable=true)
     */
    private $fechaTerminoSec = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="ficha_inscripcion", type="boolean", nullable=true)
     */
    private $fichaInscripcion = 'NULL';

    /**
     * @var boolean
     *
     * @ORM\Column(name="documentacion_digital", type="boolean", nullable=true)
     */
    private $documentacionDigital = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="asistencia_asesorias", type="integer", nullable=true)
     */
    private $asistenciaAsesorias = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="calendario_actividades", type="integer", nullable=true)
     */
    private $calendarioActividades = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="calendario_pagos", type="integer", nullable=true)
     */
    private $calendarioPagos = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="entrega_documentos", type="integer", nullable=true)
     */
    private $entregaDocumentos = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="carta_compromiso", type="integer", nullable=true)
     */
    private $cartaCompromiso = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="oficio_aplicacion", type="integer", nullable=true)
     */
    private $oficioAplicacion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="porque_certificacion", type="string", length=500, nullable=true)
     */
    private $porqueCertificacion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="licenciatura_interes", type="string", length=200, nullable=true)
     */
    private $licenciaturaInteres = 'NULL';

    /**
     * @var integer
     *
     * @ORM\Column(name="liberado", type="integer", nullable=true)
     */
    private $liberado = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="inscrito", type="string", length=200, nullable=true)
     */
    private $inscrito = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="ingresado", type="string", length=200, nullable=true)
     */
    private $ingresado = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="tramite", type="string", length=200, nullable=true)
     */
    private $tramite = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="correccion", type="string", length=200, nullable=true)
     */
    private $correccion = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="entregado", type="string", length=200, nullable=true)
     */
    private $entregado = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_usu", type="string", length=50, nullable=true)
     */
    private $cveUsu = 'NULL';

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get ideDetBachiEu
     *
     * @return integer
     */
    public function getIdeDetBachiEu()
    {
        return $this->ideDetBachiEu;
    }

    /**
     * Set fechaTerminoSec
     *
     * @param \DateTime $fechaTerminoSec
     *
     * @return DetallesBachiEu
     */
    public function setFechaTerminoSec($fechaTerminoSec)
    {
        $this->fechaTerminoSec = $fechaTerminoSec;

        return $this;
    }

    /**
     * Get fechaTerminoSec
     *
     * @return \DateTime
     */
    public function getFechaTerminoSec()
    {
        return $this->fechaTerminoSec;
    }

    /**
     * Set fichaInscripcion
     *
     * @param boolean $fichaInscripcion
     *
     * @return DetallesBachiEu
     */
    public function setFichaInscripcion($fichaInscripcion)
    {
        $this->fichaInscripcion = $fichaInscripcion;

        return $this;
    }

    /**
     * Get fichaInscripcion
     *
     * @return boolean
     */
    public function getFichaInscripcion()
    {
        return $this->fichaInscripcion;
    }

    /**
     * Set documentacionDigital
     *
     * @param boolean $documentacionDigital
     *
     * @return DetallesBachiEu
     */
    public function setDocumentacionDigital($documentacionDigital)
    {
        $this->documentacionDigital = $documentacionDigital;

        return $this;
    }

    /**
     * Get documentacionDigital
     *
     * @return boolean
     */
    public function getDocumentacionDigital()
    {
        return $this->documentacionDigital;
    }

    /**
     * Set asistenciaAsesorias
     *
     * @param integer $asistenciaAsesorias
     *
     * @return DetallesBachiEu
     */
    public function setAsistenciaAsesorias($asistenciaAsesorias)
    {
        $this->asistenciaAsesorias = $asistenciaAsesorias;

        return $this;
    }

    /**
     * Get asistenciaAsesorias
     *
     * @return integer
     */
    public function getAsistenciaAsesorias()
    {
        return $this->asistenciaAsesorias;
    }

    /**
     * Set calendarioActividades
     *
     * @param integer $calendarioActividades
     *
     * @return DetallesBachiEu
     */
    public function setCalendarioActividades($calendarioActividades)
    {
        $this->calendarioActividades = $calendarioActividades;

        return $this;
    }

    /**
     * Get calendarioActividades
     *
     * @return integer
     */
    public function getCalendarioActividades()
    {
        return $this->calendarioActividades;
    }

    /**
     * Set calendarioPagos
     *
     * @param integer $calendarioPagos
     *
     * @return DetallesBachiEu
     */
    public function setCalendarioPagos($calendarioPagos)
    {
        $this->calendarioPagos = $calendarioPagos;

        return $this;
    }

    /**
     * Get calendarioPagos
     *
     * @return integer
     */
    public function getCalendarioPagos()
    {
        return $this->calendarioPagos;
    }

    /**
     * Set entregaDocumentos
     *
     * @param integer $entregaDocumentos
     *
     * @return DetallesBachiEu
     */
    public function setEntregaDocumentos($entregaDocumentos)
    {
        $this->entregaDocumentos = $entregaDocumentos;

        return $this;
    }

    /**
     * Get entregaDocumentos
     *
     * @return integer
     */
    public function getEntregaDocumentos()
    {
        return $this->entregaDocumentos;
    }

    /**
     * Set cartaCompromiso
     *
     * @param integer $cartaCompromiso
     *
     * @return DetallesBachiEu
     */
    public function setCartaCompromiso($cartaCompromiso)
    {
        $this->cartaCompromiso = $cartaCompromiso;

        return $this;
    }

    /**
     * Get cartaCompromiso
     *
     * @return integer
     */
    public function getCartaCompromiso()
    {
        return $this->cartaCompromiso;
    }

    /**
     * Set oficioAplicacion
     *
     * @param integer $oficioAplicacion
     *
     * @return DetallesBachiEu
     */
    public function setOficioAplicacion($oficioAplicacion)
    {
        $this->oficioAplicacion = $oficioAplicacion;

        return $this;
    }

    /**
     * Get oficioAplicacion
     *
     * @return integer
     */
    public function getOficioAplicacion()
    {
        return $this->oficioAplicacion;
    }

    /**
     * Set porqueCertificacion
     *
     * @param string $porqueCertificacion
     *
     * @return DetallesBachiEu
     */
    public function setPorqueCertificacion($porqueCertificacion)
    {
        $this->porqueCertificacion = $porqueCertificacion;

        return $this;
    }

    /**
     * Get porqueCertificacion
     *
     * @return string
     */
    public function getPorqueCertificacion()
    {
        return $this->porqueCertificacion;
    }

    /**
     * Set licenciaturaInteres
     *
     * @param string $licenciaturaInteres
     *
     * @return DetallesBachiEu
     */
    public function setLicenciaturaInteres($licenciaturaInteres)
    {
        $this->licenciaturaInteres = $licenciaturaInteres;

        return $this;
    }

    /**
     * Get licenciaturaInteres
     *
     * @return string
     */
    public function getLicenciaturaInteres()
    {
        return $this->licenciaturaInteres;
    }

    /**
     * Set liberado
     *
     * @param integer $liberado
     *
     * @return DetallesBachiEu
     */
    public function setLiberado($liberado)
    {
        $this->liberado = $liberado;

        return $this;
    }

    /**
     * Get liberado
     *
     * @return integer
     */
    public function getLiberado()
    {
        return $this->liberado;
    }

    /**
     * Set inscrito
     *
     * @param string $inscrito
     *
     * @return DetallesBachiEu
     */
    public function setInscrito($inscrito)
    {
        $this->inscrito = $inscrito;

        return $this;
    }

    /**
     * Get inscrito
     *
     * @return string
     */
    public function getInscrito()
    {
        return $this->inscrito;
    }

    /**
     * Set ingresado
     *
     * @param string $ingresado
     *
     * @return DetallesBachiEu
     */
    public function setIngresado($ingresado)
    {
        $this->ingresado = $ingresado;

        return $this;
    }

    /**
     * Get ingresado
     *
     * @return string
     */
    public function getIngresado()
    {
        return $this->ingresado;
    }

    /**
     * Set tramite
     *
     * @param string $tramite
     *
     * @return DetallesBachiEu
     */
    public function setTramite($tramite)
    {
        $this->tramite = $tramite;

        return $this;
    }

    /**
     * Get tramite
     *
     * @return string
     */
    public function getTramite()
    {
        return $this->tramite;
    }

    /**
     * Set correccion
     *
     * @param string $correccion
     *
     * @return DetallesBachiEu
     */
    public function setCorreccion($correccion)
    {
        $this->correccion = $correccion;

        return $this;
    }

    /**
     * Get correccion
     *
     * @return string
     */
    public function getCorreccion()
    {
        return $this->correccion;
    }

    /**
     * Set entregado
     *
     * @param string $entregado
     *
     * @return DetallesBachiEu
     */
    public function setEntregado($entregado)
    {
        $this->entregado = $entregado;

        return $this;
    }

    /**
     * Get entregado
     *
     * @return string
     */
    public function getEntregado()
    {
        return $this->entregado;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return DetallesBachiEu
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;

        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set cveUsu
     *
     * @param string $cveUsu
     *
     * @return DetallesBachiEu
     */
    public function setCveUsu($cveUsu)
    {
        $this->cveUsu = $cveUsu;

        return $this;
    }

    /**
     * Get cveUsu
     *
     * @return string
     */
    public function getCveUsu()
    {
        return $this->cveUsu;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return DetallesBachiEu
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;

        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
